# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="UCL rat is a unicast and multicast audio conferencing tool."
HOMEPAGE="http://www-mice.cs.ucl.ac.uk/multimedia/software/rat/"
SRC_URI="http://www.mcs.anl.gov/fl/research/accessgrid/software/required/source/ag-media-2.2.tar.gz"
LICENSE="UCL"
SLOT="0"
KEYWORDS="x86"
IUSE="alsa debug"
DEPEND="virtual/glibc
	alsa? ( >=alsa-lib-1.0.3b-r2 
		>=alsa-utils-1.0.3 )
	!media-sound/rat"

S=${WORKDIR}/ag-media

src_compile() {
	use alsa && epatch ${FILESDIR}/rat-4.2.22-alsa.patch
	use debug && epatch ${FILESDIR}/common-configure.patch && epatch ${FILESDIR}/rat-tests-Makefile.patch
	pushd ${S}/tcl-8.0/unix
	econf || die "Failed to configure tcl-8.0"
	emake || die "Failed to make tcl-8.0"
	popd
	pushd ${S}/tk-8.0/unix
	econf || die "Failed to configure tk-8.0"
	emake || die "Failed to make tk-8.0"
	popd
	EXTRA_ECONF="`use_enable debug`"
	pushd ${S}/common
	econf || die "Failed to configure common"
	emake || die "Failed to make common"
	popd
	pushd ${S}/rat
	econf || die "Failed to configure rat"
	emake || die "Failed to make rat"
}

src_install() {
	use debug && RESTRICT="nostrip"
	exeinto /usr/bin
	doexe rat/rat rat/rat-${PV} rat/rat-${PV}-kill rat/rat-${PV}-media rat/rat-${PV}-ui
	doman rat/man/man1/rat.1
	dodoc rat/COPYRIGHT rat/INSTALL.TXT rat/README rat/README.RELEASES rat/README.debug rat/README.devices rat/README.files rat/README.g728 rat/README.gsm rat/README.mbus rat/README.playout rat/README.reporting-bugs rat/README.settings rat/README.timestamps rat/README.voxlet
}

